Loading...
Searching...
No Matches
etl::char_traits< T > Struct Template Reference

Character traits for any character type. More...

`#include <char_traits.h>`

## Public Types

typedef char_traits_types< T >::char_type | char_type
typedef char_traits_types< T >::int_type | int_type
typedef char_traits_types< T >::off_type | off_type
typedef char_traits_types< T >::pos_type | pos_type
typedef char_traits_types< T >::state_type | state_type

## Static Public Member Functions

static ETL_CONSTEXPR bool | eq (char_type a, char_type b) ETL_NOEXCEPT
static ETL_CONSTEXPR bool | lt (char_type a, char_type b) ETL_NOEXCEPT
static ETL_CONSTEXPR14 size_t | length (const char_type *begin) ETL_NOEXCEPT
static ETL_CONSTEXPR14 size_t | length (const char_type *str, size_t max_length) ETL_NOEXCEPT
static ETL_CONSTEXPR14 void | assign (char_type &r, const char_type &c) ETL_NOEXCEPT
static ETL_CONSTEXPR14 char_type * | assign (char_type *p, size_t n, char_type c) ETL_NOEXCEPT
static ETL_CONSTEXPR14 char_type * | move (char_type *dst, const char_type *src, size_t count) ETL_NOEXCEPT
static ETL_CONSTEXPR14 char_type * | copy (char_type *dst, const char_type *src, size_t count) ETL_NOEXCEPT
static ETL_CONSTEXPR14 int | compare (const char_type *s1, const char_type *s2, size_t count) ETL_NOEXCEPT
static ETL_CONSTEXPR14 const char_type * | find (const char_type *p, size_t count, const char_type &ch) ETL_NOEXCEPT
static ETL_CONSTEXPR char_type | to_char_type (int_type c) ETL_NOEXCEPT
static ETL_CONSTEXPR int_type | to_int_type (char_type c) ETL_NOEXCEPT
static ETL_CONSTEXPR bool | eq_int_type (int_type c1, int_type c2) ETL_NOEXCEPT
static ETL_CONSTEXPR int_type | eof () ETL_NOEXCEPT
static ETL_CONSTEXPR int_type | not_eof (int_type e) ETL_NOEXCEPT

## Detailed Description

template<typename T>
struct etl::char_traits< T >

Character traits for any character type.

The documentation for this struct was generated from the following file:

- include/etl/char_traits.h